"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const path = tslib_1.__importStar(require("path"));
const api_1 = require("../api");
class Export extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Export);
        let exportType;
        if (flags.pdf) {
            exportType = api_1.ExportType.PDF;
        }
        else if (flags.html) {
            exportType = api_1.ExportType.HTML;
            // } else if (flags.slides) {
            //   exportType = ExportType.SLIDE
        }
        else {
            exportType = api_1.ExportType.MD;
        }
        let outputPath = path.resolve(process.cwd(), args.output);
        try {
            await api_1.APIClient.export(args.noteId, exportType, outputPath);
        }
        catch (e) {
            this.log('Note export failed');
            this.error(e);
        }
    }
}
exports.default = Export;
Export.description = 'Export note to local file';
Export.examples = [
    '$ codimd-cli export [--pdf|--md|--html] <note_id> <output_file>',
];
Export.args = [{
        name: 'noteId'
    }, {
        name: 'output'
    }];
Export.flags = {
    help: command_1.flags.help({ char: 'h' }),
    pdf: command_1.flags.boolean(),
    md: command_1.flags.boolean(),
    html: command_1.flags.boolean(),
};
