"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const cli_ux_1 = tslib_1.__importDefault(require("cli-ux"));
const api_1 = require("../api");
class History extends command_1.Command {
    async run() {
        const { flags } = this.parse(History);
        try {
            const { history } = await api_1.APIClient.getHistory();
            cli_ux_1.default.table(history, {
                id: {
                    header: 'ID',
                },
                name: {
                    get: row => row.text
                }
            }, Object.assign({ printLine: this.log }, flags));
        }
        catch (e) {
            this.log('Fetch history failed');
            this.error(e);
        }
    }
}
exports.default = History;
History.description = 'List history';
History.examples = [
    `$ codimd-cli history

ID                     Name
A58r8ehYTlySO94oiC_MUA Note1
EeNHDGocSTi70ytMMGQaaQ Note2`,
];
History.flags = Object.assign({ help: command_1.flags.help({ char: 'h' }) }, cli_ux_1.default.table.flags());
