"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const api_1 = require("../api");
class Logout extends command_1.Command {
    async run() {
        this.parse(Logout);
        try {
            await api_1.APIClient.logout();
            this.log('You\'ve logged out successfully');
        }
        catch (err) {
            this.error(err);
        }
    }
}
exports.default = Logout;
Logout.description = 'Logout from CLI';
Logout.examples = [
    `$ codimd-cli logout

You've logged out successfully
`,
];
Logout.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
