"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const api_1 = require("../api");
class Whoami extends command_1.Command {
    async run() {
        this.parse(Whoami);
        try {
            const data = await api_1.APIClient.getMe();
            if (data.status === 'ok') {
                this.log(`You are logged in ${api_1.APIClient.domain} as ${data.name} [${data.id}]`);
            }
            else {
                this.log('You are not logged in yet.');
            }
        }
        catch (err) {
            this.log('Sorry, something went wrong!');
            this.error(err);
        }
    }
}
exports.default = Whoami;
Whoami.description = 'Show logged in account info';
Whoami.examples = [
    `$ codimd-cli whoami

You are logged in codimd.domain as {YOUR NAME} [user-id]
`,
];
Whoami.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
