"use strict";
const tslib_1 = require("tslib");
const command_1 = require("@oclif/command");
const api_1 = require("./api");
const read_stdin_stream_1 = tslib_1.__importDefault(require("./read-stdin-stream"));
class IndexCommand extends command_1.Command {
    async run() {
        const pipeString = await read_stdin_stream_1.default();
        if (pipeString) {
            try {
                const url = await api_1.APIClient.newNote(pipeString);
                this.log(`Your note is available at ${url}`);
            }
            catch (err) {
                this.error(err);
            }
        }
        else {
            await command_1.run();
            process.exit(0);
        }
    }
}
IndexCommand.description = 'You can create a note by piping text stream to codimd-cli';
IndexCommand.examples = [
    `$ cat README.md | codimd-cli

Your note is available at https://codimd.domain/note-url`,
];
IndexCommand.args = [{ name: 'command' }];
module.exports = IndexCommand;
